/* Heading & Buttons */
.product-header {

    flex-wrap: wrap;
    margin-bottom: 1rem;

    .product-slider-headline {
        /*margin: 2rem auto 0 0;*/
    }

    .product-header-buttons {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        gap: var(--grid-gap);
        flex-wrap: wrap;
        margin: 2rem 0 0 auto;

        @media(max-width: 1024px) {
            justify-content: flex-start;
            align-items: flex-start;
        }
        @media(max-width: 640px) {
            display: block;

            .dropdown {
                margin-bottom: 0.5rem;
            }
        }

    }
    .dropdown_product {

        .dropdown-button {
            margin: 0;
            background-color: #FFF;
            color: var(--text-color);
            border: 0;
            padding: 0.33em 1em;
            transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;

            i {
                transition: color 0.3s ease-in-out, transform 0.3s ease-in-out;
                color: var(--accent-color);
            }
            &:hover {
                background-color: var(--grey);
                color: #FFF;
                i {
                    color: #FFF;
                }
            }
            &:focus {
                outline: none;
            }

            &[aria-expanded="true"] {
                i {
                    transform: rotate(180deg);
                }
                &:hover {
                    i {
                        color: #FFF;
                    }
                }
            }
            .dropdown-arrow {
                display: inline-block;
                margin-left: 1rem;
                font-size: 90%;
                color: var(--accent-color);
            }
        }
        i {
            transition: transform 0.3s ease-in-out, color 0.3s ease-in-out;
            display: block;
        }
    }
    #webshop-btn {
        margin: 0;
    }
}

@keyframes loader-pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}
/* Slider */

.product-container-outer {
    position: relative;
    .product-loader {
        z-index: 3;
        opacity: 0;
        position: absolute;
        left: 0;
        right: -40px;
        top: 0;
        bottom: 0;
        pointer-events: none;
        transition: opacity 0.5s ease-in-out;
        background-color: #FFF;

        .loader-inner {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 100%;
            height: 100%;
        }

        img {
            max-width: 120px;
            transform: scale(1);
            animation: loader-pulse 2s infinite;
        }
    }
    &:has(.product-container.loading) {
        .product-loader {
            opacity: 1;
            pointer-events: auto;
        }
    }
    .Grau & {
        .product-loader {
            .loader-inner {
                background-color: var(--light-grey);
            }
        }
    }
}

.res-block.res-products {
    .product-container {
        &.slick-slider {
            position: relative;

            display: block;
            box-sizing: border-box;

            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;

            -webkit-touch-callout: none;
            -khtml-user-select: none;
            -ms-touch-action: pan-y;
            touch-action: pan-y;
            -webkit-tap-highlight-color: transparent;

            padding-bottom: 5rem;
        }

        &.slick-initialized .slick-slide {
            display: flex;
            flex-direction: column;
            margin-right: var(--grid-gap);
            background-color: #fff;
            overflow: hidden;

            &:hover {
                box-shadow: 0.5rem 0.5rem .75rem rgba(0,0,0,0.12);
                border: 1px solid var(--medium-grey);

            }
        }

        .slick-list {
            position: relative;

            display: block;
            overflow: hidden;

            margin: 0;
            margin-right: -1.5rem;
            padding: 1rem 0;
        }

        .slick-list:focus {
            outline: none;
        }

        .slick-list.dragging {
            cursor: pointer;
            cursor: hand;
        }

        .slick-track {
            position: relative;
            top: 0;
            left: 0;

            display: flex;
            margin-left: auto;
            margin-right: auto;
            padding: 0;
        }
        .slick-track:after {
            clear: both;
        }

        .slick-loading .slick-track {
            visibility: hidden;
        }

        .slick-slide {
            display: none;
            /*float: left;*/

            /*height: 100%;*/
            min-height: 1px;
        }

        .slick-slide img {
            display: block;
            max-width: 100%;
            height: auto;
            transform: scale(1.01);
            transition: transform .3s ease-in-out;
        }
        .slick-slide {
            .product-image-container {
                display: flex;
                align-items: center;
                justify-content: center;
                max-width: 100%;
                height: auto;
                overflow: hidden;
                aspect-ratio: 1 / 1;
            }
            &:hover {
                img {
                    transform: scale(1.048);
                }
            }
        }

        .slick-slide.slick-loading img {
            display: none;
        }

        .slick-slide.dragging img {
            pointer-events: none;
        }

        .slick-loading .slick-slide {
            visibility: hidden;
        }

        .slick-vertical .slick-slide {
            display: block;
            height: auto;
            border: 1px solid transparent;
        }

        .slick-arrow.slick-hidden {
            display: none;
        }

        /* Arrows */
        .slick-prev,
        .slick-next {
            font-size: 0;
            line-height: 0;
            left: 50%;

            position: absolute;
            top: calc(100% - 65px);

            display: block;

            width: 50px;
            height: 50px;
            padding: 0;

            cursor: pointer;

            color: transparent;
            border: 1px solid var(--medium-grey);
            outline: none;
            background: #FFF;
            border-radius: 100%;
            overflow: hidden;
            transition: all 0.3s ease-in-out;

            &:not(.slick-disabled):hover {
                outline: none;
                box-shadow: var(--boxshadow);
                background-color: var(--accent-color);
                border-color: var(--accent-color);
            }
            &:not(.slick-disabled):hover:before {
                opacity: 1;
                color: #FFF;
                font-weight: 600;
            }

            &.slick-disabled {
                opacity: 0.5;
                cursor: default;
            }
        }

        .slick-prev {
            transform: translateX(-140%);

            &:before {
                font-size: 1.5rem;
                line-height: 1;
                content: "\f177";
                font-family: "Font Awesome 6 Pro";
                color: var(--accent-color);
                font-weight: 300;
                transition: color 0.3s ease-in-out;
            }
        }

        .slick-next {
            transform: translateX(40%);

            &:before {
                font-size: 1.5rem;
                line-height: 1;
                content: "\f178";
                font-family: "Font Awesome 6 Pro";
                color: var(--accent-color);
                font-weight: 300;
                transition: color 0.3s ease-in-out;
            }
        }

        .slick-track {
            .product {
                a.no-add-to-cart {
                    display: flex;
                    flex-direction: column;
                    height: 100%;
                    border-bottom: 0;
                    width: 100%;
                    color: var(--text-color);
                }
            }
        }
    }

    /* Dropdowns ------ */
    .dropdown-menu {

        border: none;
        box-shadow: none;
        padding: 0;
        border-bottom: 2px solid #FFF;
        margin-top: 0;
        max-height: 250px;
        overflow-x: hidden;
        overflow-y: auto;

        @media(max-width: 1024px) {
            max-width: 340px;
        }

        .dropdown-item {
            line-height: 1.2;
            padding: 0.75rem 1.6rem;
            font-weight: 400;
            transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
            color: var(--text-color);

            @media(max-width: 1024px) {
                text-overflow: ellipsis;
                width: calc(340px - 3rem);
                overflow: hidden;
            }

            &:hover {
                color: #FFF;
                background-color: var(--accent-color);
            }
        }
    }
}